Download it now!
Bug 94292 - Crash after re-inserting a chart
Summary: Crash after re-inserting a chart
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2015-09-16 22:18 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (4.00 KB, text/plain)
2015-09-16 22:18 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-16 22:18:27 UTC
Created attachment 118780 [details]
backtrace

Steps:
1) Open Writer
2) Insert a chart
3) Modify a data series by changing a color
4) Exit chart mode
5) Undo
6) Insert a new chart
7) getCurrentController Fatal Error Crash

Version: 5.1.0.0.alpha1+
Build ID: 2639eadce4c9ccead9112a6893b5e9e2e0fefd78
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-14_23:56:58
Locale: en-US (en_US.UTF-8)
Comment 1 Commit Notification 2015-10-09 18:43:16 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33972dea7d8849842929060be8f970e090077e4c

correctly dispose the chart sidebar when leaving chart, tdf#94292

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Markus Mohrhard 2015-10-09 18:46:01 UTC
I hope that this finally gets rid of all the strange crashes that were related to the chart sidebar and its strange lifecycle.